Summary:   Enterprise Volume Management System (EVMS)
Name:      evms
Version:   2.5.2
Release:   4tr
License:   GPL
Group: Trustix Official
Source:    http://dl.sourceforge.net/evms/%{name}-%{version}.tar.gz
#Patch0: lvm2_metadata.c.patch
#Patch1: lilo-22.3.1-evms.patch
#Patch2: xfs-1.1-evms.patch
#Patch3: util-linux-2.11t-evms.patch
Patch4: md_info.h.patch
BuildRequires: glib-devel >= 1.2.0
Requires: glib12 device-mapper
Buildroot: %{_tmppath}/%{name}-root

%description
The Enterprise Volume Management System (EVMS) Project has the goal of 
providing unparalleled flexibility and extensibility in managing storage.
It represents a new approach to logical volume management for Linux. The
architecture introduces a plug-in model that allows for easy expansion
and customization of various levels of volume management.

EVMS provides a single, unified system for handling all of your storage
management tasks. EVMS recognizes all of the disks on your system and 
allows for a variety of partitioning schemes. Software-RAID and logical
volume groups can be managed in EVMS. Filesystems can be created and
checked, and are automatically updated when changes are made to the
underlying volumes. With EVMS, there is no longer a need for several
individual utilities for performing each of these tasks.

%package x11
Summary:   Enterprise Volume Management System (EVMS)
Group: Trustix Official
Requires: xorg-x11-libs gtk12+ glib12 %{name}

%description x11
GUI front end of EVMS

%prep
%setup -q
#%patch0 -p1
%patch4 -p1

%build
CFALGS="RPM_OPT_FLAGS" %configure --prefix=%{_prefix} 
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

make DESTDIR=$RPM_BUILD_ROOT install


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-, root, root, 0755)
%doc COPYING ChangeLog INSTALL* README PLUGIN.IDS TERMINOLOGY
%doc /usr/share/man*/*
%config( noreplace ) %{_sysconfdir}/evms.conf*
%{_includedir}/*
/usr/lib/*
/usr/sbin/evms  
/usr/sbin/evms_activate 
/usr/sbin/evms_gather_info  
/usr/sbin/evms_mpathd  
/usr/sbin/evms_query  
/usr/sbin/evms_metadata_*  
/usr/sbin/evmsd  
/usr/sbin/evmsd_worker  
/usr/sbin/evmsn
%exclude /usr/share/locale/

%files x11
/usr/sbin/evmsgui

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Tue Apr 04 2006 Bipin S <bipin at trustix dot org> 2.5.2-3tr
- Rebuilt against updated device-mapper

* Thu Apr 07 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.5.2-1tr
- New Upstream

* Thu Mar 24 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.5.1-3tr
- Rebuilt against updated device-mapper

* Tue Mar 15 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 2.5.1-2tr
- Rebuilt

* Wed Mar 09 2005 Ajith Thampi <ajith at comodo dot com> 2.5.1-1tr
- fixed unpackaged filelist

* Fri Feb 05 2005 Ajith Thampi <ajith at comodo dot com> 2.5.1-1ta
- New Upstream and added optflags
- patches added

* Wed Feb 02 2005 Syed Shabir Zakiullah <syedshabir at dot comodo>
- Separated xorg-x11 dependent files to new package evms-x11

* Tue Oct 07 2004 Syed Shabir Zakiullah <syedshabir at comodo dot com> 
- Added glib12 dependency

* Mon Oct 06 2004 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.4.1-1sh
- Initial Spec file for EVMS
